part of secure_keyboard;

class SecureKeyboardKey {
  final String text;
  final String capsText;
  final SecureKeyboardKeyType type;
  final SecureKeyboardKeyAction action;

  SecureKeyboardKey({
    this.text,
    this.capsText,
    @required this.type,
    this.action
  });

  Map<String, dynamic> toMap() {
    return {
      'text': text,
      'capsText': capsText,
      'type': type,
      'action': action
    };
  }
}
